=== src/libs/tal-chorus/CMakeLists.txt ===
add_library(libtalchorus STATIC Lfo.cpp)
target_include_directories(libtalchorus PUBLIC ..)
